> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新節點

> 部分更新節點的組態

## 請求

```bash theme={null}
PATCH https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}
```

只需傳送您想更新的欄位。既有欄位會被保留。

### 路徑參數

<ParamField path="projectId" type="string" required>專案 ID</ParamField>
<ParamField path="nodeId" type="string" required>節點 ID</ParamField>

### 標頭

<ParamField header="Authorization" type="string" required>
  使用您的 Developer Key 進行 Bearer 令牌認證
</ParamField>

### 請求主體

<ParamField body="data" type="object">
  要合併的部分節點資料。只需包含您想變更的欄位。

  <Expandable title="fields">
    <ParamField body="data.title" type="string">更新後的顯示標題</ParamField>
    <ParamField body="data.prompt" type="string">更新後的提示文字</ParamField>
    <ParamField body="data.tools" type="string[]">更新後的工具 ID 綁定</ParamField>
  </Expandable>
</ParamField>

<ParamField body="position" type="object">
  更新後的畫布位置：`{ "x": number, "y": number }`
</ParamField>

## 回應

回傳完整的更新後節點。

### 範例：更新提示文字

```bash theme={null}
curl -X PATCH https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "data": {
      "prompt": "Updated: Help the user complete their booking and confirm details."
    }
  }'
```

### 範例：更新工具綁定

```bash theme={null}
curl -X PATCH https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \
  -H "Authorization: Bearer dk_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "data": {
      "tools": ["tool-uuid-1", "tool-uuid-2"]
    }
  }'
```
